javax.resource.cci

## Interface ResultSetInfo

-     public interface ResultSetInfo

  The interface `javax.resource.cci.ResultSetInfo` provides information on the support provided for ResultSet by a connected EIS instance. A component calls the method `Connection.getResultInfo` to get the ResultSetInfo instance.

  A CCI implementation is not required to support `javax.resource.cci.ResultSetInfo` interface. The implementation of this interface is provided only if the CCI supports the ResultSet facility.

  Version:
    0.9
  Author:
    Rahul Sharma
  See Also:
    `Connection`, `ResultSet`, `ConnectionMetaData`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deletesAreDetected(int type)` Indicates whether or not a visible row delete can be detected by calling ResultSet.rowDeleted.
    `boolean` | `insertsAreDetected(int type)` Indicates whether or not a visible row insert can be detected by calling ResultSet.rowInserted.
    `boolean` | `othersDeletesAreVisible(int type)` Indicates whether deletes made by others are visible.
    `boolean` | `othersInsertsAreVisible(int type)` Indicates whether inserts made by others are visible.
    `boolean` | `othersUpdatesAreVisible(int type)` Indicates whether updates made by others are visible.
    `boolean` | `ownDeletesAreVisible(int type)` Indicates whether a ResultSet's own deletes are visible.
    `boolean` | `ownInsertsAreVisible(int type)` Indicates whether a ResultSet's own inserts are visible.
    `boolean` | `ownUpdatesAreVisible(int type)` Indicates whether a ResultSet's own updates are visible.
    `boolean` | `supportsResultSetType(int type)` Indicates whether or not a resource adapter supports a type of ResultSet.
    `boolean` | `supportsResultTypeConcurrency(int type, int concurrency)` Indicates whether or not a resource adapter supports the concurrency type in combination with the given ResultSet type/
    `boolean` | `updatesAreDetected(int type)` Indicates whether or not a visible row update can be detected by calling the method `ResultSet.rowUpdated`.

- - ### Method Detail

    - #### updatesAreDetected

          boolean updatesAreDetected(int type)
                                     throws ResourceException

      Indicates whether or not a visible row update can be detected by calling the method `ResultSet.rowUpdated`.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if changes are detected by the result set type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information
      See Also:
        `ResultSet.rowUpdated()`

    - #### insertsAreDetected

          boolean insertsAreDetected(int type)
                                     throws ResourceException

      Indicates whether or not a visible row insert can be detected by calling ResultSet.rowInserted.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if changes are detected by the result set type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information
      See Also:
        `ResultSet.rowInserted()`

    - #### deletesAreDetected

          boolean deletesAreDetected(int type)
                                     throws ResourceException

      Indicates whether or not a visible row delete can be detected by calling ResultSet.rowDeleted. If deletesAreDetected returns false, then deleted rows are removed from the ResultSet.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if changes are detected by the result set type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information
      See Also:
        `ResultSet.rowDeleted()`

    - #### supportsResultSetType

          boolean supportsResultSetType(int type)
                                        throws ResourceException

      Indicates whether or not a resource adapter supports a type of ResultSet.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if ResultSet type supported; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

    - #### supportsResultTypeConcurrency

          boolean supportsResultTypeConcurrency(int type,
                                              int concurrency)
                                                throws ResourceException

      Indicates whether or not a resource adapter supports the concurrency type in combination with the given ResultSet type/
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
        `concurrency` - ResultSet concurrency type defined in java.sql.ResultSet
      Returns:
        true if the specified combination supported; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

    - #### othersUpdatesAreVisible

          boolean othersUpdatesAreVisible(int type)
                                          throws ResourceException

      Indicates whether updates made by others are visible.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if updates by others are visible for the ResultSet type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

    - #### othersDeletesAreVisible

          boolean othersDeletesAreVisible(int type)
                                          throws ResourceException

      Indicates whether deletes made by others are visible.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if deletes by others are visible for the ResultSet type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

    - #### othersInsertsAreVisible

          boolean othersInsertsAreVisible(int type)
                                          throws ResourceException

      Indicates whether inserts made by others are visible.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if inserts by others are visible for the ResultSet type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

    - #### ownUpdatesAreVisible

          boolean ownUpdatesAreVisible(int type)
                                       throws ResourceException

      Indicates whether a ResultSet's own updates are visible.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if updates are visible for the ResultSet type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

    - #### ownInsertsAreVisible

          boolean ownInsertsAreVisible(int type)
                                       throws ResourceException

      Indicates whether a ResultSet's own inserts are visible.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if inserts are visible for the ResultSet type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

    - #### ownDeletesAreVisible

          boolean ownDeletesAreVisible(int type)
                                       throws ResourceException

      Indicates whether a ResultSet's own deletes are visible.
      Parameters:
        `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
      Returns:
        true if inserts are visible for the ResultSet type; false otherwise
      Throws:
        `ResourceException` - Failed to get the information

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.